#!/bin/bash
## $1: DCD-Laufwerk 0 (default) oder 1
## $2: (nicht leer/beliebiger Wert) vorherige Sitzung fortsetzen. Neue Sitzung ist default
prioselect=19 # -20=höchste Priorität (nie verwenden!), 
              #   0=Standardpriorität (möglichst nicht verwenden, andere Video-Prozesse könnten unterbrochen werden), 
              #  19=niedrigste Priorität (jeder andere Prozess mit höherer Priorität hat Vorrang)
dvd_drive=
zielpfad=/home/stefan/DVBT-Aufnahme/tmp/
if [ -z $1 ]; then
    dvd_drive=/dev/sr0
elif [ "$1" -eq "0" ]; then
    dvd_drive=/dev/sr0
elif [ "$1" -eq "1" ]; then
    dvd_drive=/dev/sr1
fi

if [ -z $dvd_drive ]; then
    echo kein DVD-Laufwerk gewählt
else
    if [ -z "$2" ]; then
        nice -n $prioselect ddrescue -d -f  $dvd_drive ${zielpfad}dvd_image.img ${zielpfad}dvd_image.log
    fi
    nice -n $prioselect ddrescue -d -r3 $dvd_drive ${zielpfad}dvd_image.img ${zielpfad}dvd_image.log
fi
